Skip site navigation (1) Skip section navigation (2)

Re: HTML + PHP + POSTGRESQL +

From: JimAlexandr <Jimmy(dot)Ortiz(at)dhl(dot)com>
To: mmm(at)tierramedia(dot)org,AyudaPostgres <pgsql-es-ayuda(at)postgresql(dot)org>
Subject: Re: HTML + PHP + POSTGRESQL +
Date: 2004-08-30 15:15:18
Message-ID: 41334486.50902@dhl.com (view raw or flat)
Thread:
Lists: pgsql-es-ayuda
Quiza ese detalle se me Olvido ----

 Uso Fedora Core 1

<?php
	phpinfo();	/// FUNCIONA OK Y EN LA PARTE DE DBX DICE: MySQL, odbc,PostgresSQL, ....
?>

pero siempre obtengo el mensaje   "call undefine function pg_connect() 
....."


revisare el comenado
rpm -qa | grep php


Slds
JimAlexandr



Mauro A. Morales M. wrote:

>El lun, 30-08-2004 a las 10:33, JimAlexandr escribió:
>  
>
>>Mauro
>>
>>Tengo una pregunta, respecto de como hace funcionar PHP con Postgres
>>yo estoy en un proyecto estudiantil, hemos levantado la db
>>y el servidor apache + php
>>pero cuando llamo a funciones de Postgres desde una pagina .php
>>me tira el siguiente mensaje de error:
>>
>>"call undefine function pg_connect() ....."
>>    
>>
>
>Yo uso Mandrake 10 (no es mi distribucion favorita, pero que va, aca es
>lo que se usa), y tengo instalado los siguientes paquetes,
>
>[mmorales(at)mmorales mmorales]$ rpm -qa | grep php
>apache2-mod_php-2.0.48_4.3.4-1mdk
>php-pgsql-4.3.4-1mdk
>libphp_common432-4.3.4-4mdk
>php-imap-4.3.4-1mdk
>php-gd-4.3.4-1mdk
>php-readline-4.3.4-1mdk
>php-ini-4.3.4-1mdk
>php-ldap-4.3.4-1mdk
>
>Los paquetes necesarios para que funcione php con PostgreSQL son:
>php-pgsql, php-ini,
>
>Si usas Debian (cualquier sabor) deberias tener como minimo instalados
>los paquetes php-xxx.deb y php-pgsql-xxx.deb, si tienes algun sabor de
>Redhat (o Fedora), los paquetes son similares, pero el basico de todos
>es php-pgsql.
>
>  
>
>>espero no incomodarte con esta duda de principiante..
>>gracias
>>    
>>
>
>Lo otro que puedes revisar es:
>
>crea un archivo test.php y coloca el siguiente codigo:
>
><?php
>	phpinfo();
>?>
>
>y ejecutalo en tu sitio, en el revisa si tienes soportado el postgresql,
>si no lo esta te falta el paquete php-pgsql.
>
>  
>
>>Slds
>>JimAlexandr
>>
>>
>>
>>
>>
>>
>>
>>El sáb, 28-08-2004 a las 16:09, Jorge Tinitana escribió:
>>    
>>
>>>HOLA LISTA.
>>> 
>>>TENGO UN PROBLEMA AMIGOS, TENGO UNA APLICACIÓN WEB QUE CON POSTGRESQL
>>>ME FUNCIONA DE PERLAS, MENOS CUANDO QUIERO ALMACENAR O LEER NOMBRES
>>>CON LETRAS Ñ O CON TILDES, A MI BASE DE DATOS LA TENGO CON CARACTERES
>>>UNICODE, Y LA VERDAD NO SE SI SERÁ PROBLEMAS CON EL APACHE 2 O CON EL
>>>PHP4, ESTOY ABIERTO A CUALQUIER SUGERENCIA.
>>>      
>>>
>>El encoding que yo manejo para no tener problemas con las 'ñ' y tildes
>>es 'LATIN1', y tengo mis locales configurados en es_ES.
>>
>>Si tienes problemas para configurar locales o modificar tu encoding de
>>la BD, te sugiero usar la funcion 'convert'.
>>
>>    
>>
>>> 
>>>JORGE
>>>
>>>
>>>
>>>______________________________________________________________________
>>>Do You Yahoo!?
>>>Yahoo! Net: La mejor conexión a internet y 25MB extra a tu correo por
>>>$100 al mes.
>>>      
>>>

In response to

Responses

pgsql-es-ayuda by date

Next:From: Víctor R. RuizDate: 2004-08-30 15:24:26
Subject: Re: HTML + PHP + POSTGRESQL +
Previous:From: Lizarraga, Juan (MABE,REF,TI)Date: 2004-08-30 14:59:25
Subject: Re: Conexiones Remotas

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group